package eu.atosresearch.health.prescripciones.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.Timer;
import com.google.gwt.user.client.ui.RootPanel;

import com.allen_sauer.gwt.log.client.Log;


/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class PautaTeleasistencia implements EntryPoint {
	private static final String SERVER_ERROR = "Ocurrió un error al conectar con el servidor.";


	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		Log.debug("PAUTA TELEASISTENCIA - Inicio de la aplicación web.");
		RootPanel rootPanel = RootPanel.get("contenido");
		
		//El controlador es una clase Singleton
		Controlador.getInstance().setRootPanel(rootPanel);
				
		//Muestra el gif de cargando unos segundos 
		//(sustituido por javascript en el html principal)
		/*
		Timer timer = new Timer() {
			@Override
			public void run() {
				RootPanel.get("centro").setVisible(false);
			}};
		timer.schedule(4000);
		*/
		
		//PRIMER PASO: pantalla de autorizaci�n
		Controlador.getInstance().autorizar();
		

	}
}
