package eu.atosresearch.health.prescripciones.client;

import java.io.Serializable;
import java.util.Date;

import com.google.gwt.i18n.client.DateTimeFormat;

public class Utilidades implements Serializable {

	private static final long serialVersionUID = 1L;

	public static final String patronDia = "dd-MM-yyyy";
	public static final String patronHora = "HH:mm";
	public static final String patronFecha = "dd-MM-yyyy HH:mm";
	
	
	public static String convertirDia(Date dia) {
		DateTimeFormat sdf = DateTimeFormat.getFormat(patronDia);
		return sdf.format(dia);
	}
	
	public static String convertirHora(Date hora) {
		DateTimeFormat sdf = DateTimeFormat.getFormat(patronHora);
		return sdf.format(hora);
	}
	
	public static String convertirFecha(Date fecha) {
		DateTimeFormat sdf = DateTimeFormat.getFormat(patronFecha);
		return sdf.format(fecha);
	}

	public static Date convertirDia(String dia) {
		DateTimeFormat sdf = DateTimeFormat.getFormat(patronDia);
		Date date = sdf.parse(dia);
		return date;
	}

	public static Date convertirHora(String hora) {
		DateTimeFormat sdf = DateTimeFormat.getFormat(patronHora);
		Date date = sdf.parse(hora);
		return date;
	}
	
	public static Date convertirFecha(String fecha) {
		DateTimeFormat sdf = DateTimeFormat.getFormat(patronFecha);
		Date date = sdf.parse(fecha);
		return date;
	}
	
	
}